# $Id: smeserver-sane.spec,v 1.1 2015/09/23 22:03:17 stephdl Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-sane
%define version 0.3
%define release 1
Summary: Set up sane for scanner.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.sane-project.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.1
Requires: sane-backends >= 1.0.17
Requires: smeserver-xinetd
AutoReqProv: no

%description
SANE is a universal scanner interface.

%changelog
* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.3-1.sme
- Initial release to contribs9

* Fri Apr 18 2008 Shad L. Lords <slords@mail.com> 0.1-7
- Move xinetd stuff to new package
- Clean up service names

* Fri Apr 18 2008 Stephen Noble 0.1-6
- fixes for smecontribs

* Fri Apr 11 2008 Anne Aublanc 0.1-5
- minor fixes

* Fri Apr 11 2008 Stephen Noble 0.1-4
- more fixes

* Thu Apr 10 2008 Stephen Noble 0.1-3
- more fixes

* Wed Apr 09 2008 Stephen Noble 0.1-2
- minor fixes

* Sun Apr 06 2008 Anne Aublanc and JP Pialasse 0.1-1
- initial release

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"    >> %{name}-%{version}-filelist

%pre
/usr/sbin/groupadd \
  -g 510 saned 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
